summaryrefslogtreecommitdiffstats
path: root/graphics/lddot
diff options
context:
space:
mode:
author B. Watson2017-03-31 02:27:40 +0200
committer Willy Sudiarto Raharjo2017-03-31 02:27:40 +0200
commit1367dc02c5113904c2c2ee9fda4b4cb6707f9da2 (patch)
tree0a42ab91e3bd8b65524311f729fd49e38d67ac66 /graphics/lddot
parent667bbb4cb1836999df7f0d24957fc38a52eb5d90 (diff)
downloadslackbuilds-1367dc02c5113904c2c2ee9fda4b4cb6707f9da2.tar.gz
graphics/lddot: Added (wrapper over ldd).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics/lddot')
-rw-r--r--graphics/lddot/README15
-rw-r--r--graphics/lddot/lddot.SlackBuild47
-rw-r--r--graphics/lddot/lddot.info10
-rw-r--r--graphics/lddot/slack-desc19
4 files changed, 91 insertions, 0 deletions
diff --git a/graphics/lddot/README b/graphics/lddot/README
new file mode 100644
index 0000000000..996fdad914
--- /dev/null
+++ b/graphics/lddot/README
@@ -0,0 +1,15 @@
+lddot (graphically display shared library dependencies)
+
+lddot is a wrapper over ldd, which produces output in Graphviz format.
+
+Although not strictly required for lddot to run, it's *highly* recommended
+to install graphviz and/or graph-easy. One of these will be required to
+convert lddot's output into a visible graph.
+
+Examples:
+
+# Replace "boxart" with "ascii" if your terminal doesn't support Unicode.
+lddot /bin/bash | graph-easy --as boxart
+
+# This looks like the Death Star.
+lddot /usr/bin/xterm | circo -Tpng > graph.png
diff --git a/graphics/lddot/lddot.SlackBuild b/graphics/lddot/lddot.SlackBuild
new file mode 100644
index 0000000000..1ba3976ee3
--- /dev/null
+++ b/graphics/lddot/lddot.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Slackware build script for lddot
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=lddot
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+install -m0755 $PRGNAM $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/lddot/lddot.info b/graphics/lddot/lddot.info
new file mode 100644
index 0000000000..f8ecdbde3f
--- /dev/null
+++ b/graphics/lddot/lddot.info
@@ -0,0 +1,10 @@
+PRGNAM="lddot"
+VERSION="0.1"
+HOMEPAGE="http://jwilk.net/software/lddot"
+DOWNLOAD="https://github.com/jwilk/lddot/releases/download/0.1/lddot-0.1.tar.gz"
+MD5SUM="6738ceb8e2e09ceb0aacb93a40a35653"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/graphics/lddot/slack-desc b/graphics/lddot/slack-desc
new file mode 100644
index 0000000000..917ea6ec1a
--- /dev/null
+++ b/graphics/lddot/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lddot: lddot (graphically display shared library dependencies)
+lddot:
+lddot: lddot is a wrapper over ldd, which produces output in Graphviz format.
+lddot:
+lddot: Example: lddot $(which bash) | graph-easy --as boxart
+lddot:
+lddot:
+lddot:
+lddot:
+lddot:
+lddot: